Subject: bug#35355: 27.0.50; ps-print-buffer-with-faces does not print non-ascii

From: Jean-Christophe Helary <[email-masked]>
Date: Mon, 29 Apr 2019 22:22:02 +0900

Thank you Kenichi for checking.

I couldn't find a temp.txt file attached to your mail but the ps file had issues with the available fonts on my machine.

Jean-Christophe 

Jean-Christophe 

> On Apr 29, 2019, at 13:02, handa <[email-masked]> wrote:
> 
> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> 
>>> From: Jean-Christophe Helary <[email-masked]>
>>> Date: Sun, 21 Apr 2019 18:02:38 +0900
>>> 
>>> I tried to print a simple C buffer with some Japanese characters in commentsand the default printout was in b/w, but all the Japanese characters were printed out nicely.
>>> 
>>> Then, I tried the ps-print-buffer-with-faces command and the syntax highlighting worked fine but all the Japanese characters were replaced by ???.
>>> 
>>> Then, after reading the documentation a bit, I tried to
>>> (setq ps−multibyte−buffer ’non−latin−printer)
>>> 
>>> but now the Japanese characters are totally mojibaked:
>>> // $*$_$/$8$NFbMF0lMw
> 
> I can't reproduce that problem.  The attached are the sample text file
> and the PS file produced by C-u M-x ps-print-buffer with
> ps-multibyte-buffer being set to non-latin-printer in my environment
> (emacs vesion is 27.0.50).
> 
> Please send me the PS file generated from the attached temp.txt in your
> environment.
> 
> ---
> K. Handa
> [email-masked]
> 
> English 英語
> Japanese 日本語
> <temp.ps>

Jean-Christophe Helary
-----------------------------------------------
http://mac4translators.blogspot.com @brandelune